package com.rjconsultores.ventaboletos.relatorios.utilitarios;

import java.math.BigDecimal;
import java.util.Date;

public class RelatorioMovimentacaoBilheteBean implements Cloneable {
	
	private Date feccreacion;
	private String origen;
	private String descorigen;
	private String destino;
	private String descdestino;
	private Integer km;
	private String linha;
	private String corridaId;
	private String fechorviaje;
	private String fecdatviaje;
	private String desctipoventa;
	private String nombpasajero;
	private String descnumdoc;
	private BigDecimal preciooriginal;
	private BigDecimal porccategoria;
	private BigDecimal preciopagado;
	private String cveusuario;
	private String nombpuntoventa;
	private String nombempresa;
	private String cvecategoria;
	private String numasiento;
	private String numfoliosistema;
	private String tipoDoc;
	private String tipo;
	private BigDecimal seguro;
	private BigDecimal pedagio;
	private BigDecimal utr;
	private BigDecimal tpp;
	private BigDecimal tarifa;
	private String rg;
	private String status;
	private Date dataMd;
	private String codOrigem;
	private String codDestino;
	private String descorgao;
	private String ccf;
	private String direccionnumero;
	private Date dataEmissao;
	private String numRuta;
	private String prefixo;
	private String serie;
	private String subserie;
	private String numbpe;
	private String chavebpe;
	private String protocolobpe;
	private String serienovo = "N/A";
	private String subserienovo = "N/A";
	private String ccfnovo = "N/A";
	private String bpenovo = "N/A";
	private String horaMD;
	private String horaEmissao;
	private String numPuntoVenta;
	private String numfoliosistemanovo = "N/A";
	
	public String getFecdatviaje() {
		return fecdatviaje;
	}
	public void setFecdatviaje(String fecdatviaje) {
		this.fecdatviaje = fecdatviaje;
	}
	public void setFechorviaje(String fechorviaje) {
		this.fechorviaje = fechorviaje;
	}
	public String getFechorviaje() {
		return fechorviaje;
	}
	public String getDescorgao() {
		return descorgao;
	}
	public void setDescorgao(String descorgao) {
		this.descorgao = descorgao;
	}
	public String getCodOrigem() {
		return codOrigem;
	}
	public void setCodOrigem(String codOrigem) {
		this.codOrigem = codOrigem;
	}
	public String getCodDestino() {
		return codDestino;
	}
	public void setCodDestino(String codDestino) {
		this.codDestino = codDestino;
	}
	public Date getDataMd() {
		return dataMd;
	}
	public void setDataMd(Date dataMd) {
		this.dataMd = dataMd;
	}
	public String getStatus() {
		return status;
	}
	public void setStatus(String status) {
		this.status = status;
	}
	public String getRg() {
		return rg;
	}
	public void setRg(String rg) {
		this.rg = rg;
	}
	public String getTipoDoc() {
		return tipoDoc;
	}
	public void setTipoDoc(String tipoDoc) {
		this.tipoDoc = tipoDoc;
	}
	public String getTipo() {
		return tipo;
	}
	public void setTipo(String tipo) {
		this.tipo = tipo;
	}
	public BigDecimal getSeguro() {
		return seguro;
	}
	public void setSeguro(BigDecimal seguro) {
		this.seguro = seguro;
	}
	public BigDecimal getPedagio() {
		return pedagio;
	}
	public void setPedagio(BigDecimal pedagio) {
		this.pedagio = pedagio;
	}
	public BigDecimal getUtr() {
		return utr;
	}
	public void setUtr(BigDecimal utr) {
		this.utr = utr;
	}
	public Date getFeccreacion() {
		return feccreacion;
	}
	public void setFeccreacion(Date feccreacion) {
		this.feccreacion = feccreacion;
	}
	public String getOrigen() {
		return origen;
	}
	public void setOrigen(String origen) {
		this.origen = origen;
	}
	public String getDestino() {
		return destino;
	}
	public void setDestino(String destino) {
		this.destino = destino;
	}
	public Integer getKm() {
		return km;
	}
	public void setKm(Integer km) {
		this.km = km;
	}
	public String getLinha() {
		return linha;
	}
	public void setLinha(String linha) {
		this.linha = linha;
	}
	public String getCorridaId() {
		return corridaId;
	}
	public void setCorridaId(String corridaId) {
		this.corridaId = corridaId;
	}
	public String getDesctipoventa() {
		return desctipoventa;
	}
	public void setDesctipoventa(String desctipoventa) {
		this.desctipoventa = desctipoventa;
	}
	public String getNombpasajero() {
		return nombpasajero;
	}
	public void setNombpasajero(String nombpasajero) {
		this.nombpasajero = nombpasajero;
	}
	public String getDescnumdoc() {
		return descnumdoc;
	}
	public void setDescnumdoc(String descnumdoc) {
		this.descnumdoc = descnumdoc;
	}
	public BigDecimal getPreciooriginal() {
		return preciooriginal;
	}
	public void setPreciooriginal(BigDecimal preciooriginal) {
		this.preciooriginal = preciooriginal;
	}
	public BigDecimal getPorccategoria() {
		return porccategoria;
	}
	public void setPorccategoria(BigDecimal porccategoria) {
		this.porccategoria = porccategoria;
	}
	public BigDecimal getPreciopagado() {
		return preciopagado;
	}
	public void setPreciopagado(BigDecimal preciopagado) {
		this.preciopagado = preciopagado;
	}
	public String getCveusuario() {
		return cveusuario;
	}
	public void setCveusuario(String cveusuario) {
		this.cveusuario = cveusuario;
	}
	public String getNombpuntoventa() {
		return nombpuntoventa;
	}
	public void setNombpuntoventa(String nombpuntoventa) {
		this.nombpuntoventa = nombpuntoventa;
	}
	public String getNombempresa() {
		return nombempresa;
	}
	public void setNombempresa(String nombempresa) {
		this.nombempresa = nombempresa;
	}
	public String getCvecategoria() {
		return cvecategoria;
	}
	public void setCvecategoria(String cvecategoria) {
		this.cvecategoria = cvecategoria;
	}
	public String getNumasiento() {
		return numasiento;
	}
	public void setNumasiento(String numasiento) {
		this.numasiento = numasiento;
	}
	public String getDescorigen() {
		return descorigen;
	}
	public void setDescorigen(String descorigen) {
		this.descorigen = descorigen;
	}
	public String getDescdestino() {
		return descdestino;
	}
	public void setDescdestino(String descdestino) {
		this.descdestino = descdestino;
	}
	public String getNumfoliosistema() {
		return numfoliosistema;
	}
	public void setNumfoliosistema(String numfoliosistema) {
		this.numfoliosistema = numfoliosistema;
	}
	public String getCcf() {
		return ccf;
	}
	public void setCcf(String ccf) {
		this.ccf = ccf;
	}
	public BigDecimal getTarifa() {
		return tarifa;
	}
	public void setTarifa(BigDecimal tarifa) {
		this.tarifa = tarifa;
	}
	public BigDecimal getTpp() {
		return tpp;
	}
	public void setTpp(BigDecimal tpp) {
		this.tpp = tpp;
	}
	public String getDireccionnumero() {
		return direccionnumero;
	}
	public void setDireccionnumero(String direccionnumero) {
		this.direccionnumero = direccionnumero;
	}
	public Date getDataEmissao() {
		return dataEmissao;
	}
	public void setDataEmissao(Date dataEmissao) {
		this.dataEmissao = dataEmissao;
	}
	public String getNumRuta() {
		return numRuta;
	}
	public void setNumRuta(String numRuta) {
		this.numRuta = numRuta;
	}
	public String getPrefixo() {
		return prefixo;
	}
	public void setPrefixo(String prefixo) {
		this.prefixo = prefixo;
	}

	public String getSerie() {
		return serie;
	}

	public void setSerie(String serie) {
		this.serie = serie;
	}

	public String getSubserie() {
		return subserie;
	}

	public void setSubserie(String subserie) {
		this.subserie = subserie;
	}

	public String getNumbpe() {
		return numbpe;
	}

	public void setNumbpe(String numbpe) {
		this.numbpe = numbpe;
	}

	public String getChavebpe() {
		return chavebpe;
	}

	public void setChavebpe(String chavebpe) {
		this.chavebpe = chavebpe;
	}

	public String getProtocolobpe() {
		return protocolobpe;
	}

	public void setProtocolobpe(String protocolobpe) {
		this.protocolobpe = protocolobpe;
	}

	public String getSerienovo() {
		return serienovo;
	}

	public void setSerienovo(String serienovo) {
		this.serienovo = serienovo;
	}

	public String getSubserienovo() {
		return subserienovo;
	}

	public void setSubserienovo(String subserienovo) {
		this.subserienovo = subserienovo;
	}

	public String getCcfnovo() {
		return ccfnovo;
	}

	public void setCcfnovo(String ccfnovo) {
		this.ccfnovo = ccfnovo;
	}

	public String getBpenovo() {
		return bpenovo;
	}

	public void setBpenovo(String bpenovo) {
		this.bpenovo = bpenovo;
	}

	public String getHoraMD() {
		return horaMD;
	}

	public void setHoraMD(String horaMD) {
		this.horaMD = horaMD;
	}

	public String getHoraEmissao() {
		return horaEmissao;
	}

	public void setHoraEmissao(String horaEmissao) {
		this.horaEmissao = horaEmissao;
	}

	public RelatorioMovimentacaoBilheteBean getClone() throws CloneNotSupportedException {
		return (RelatorioMovimentacaoBilheteBean) super.clone();
	}
	
	public String getNumPuntoVenta() {
		return numPuntoVenta;
	}
	
	public void setNumPuntoVenta(String numPuntoVenta) {
		this.numPuntoVenta = numPuntoVenta;
	}
	
	public String getNumfoliosistemanovo() {
		return numfoliosistemanovo;
	}
	
	public void setNumfoliosistemanovo(String numfoliosistemanovo) {
		this.numfoliosistemanovo = numfoliosistemanovo;
	}
}